UNAME(1)

NAME
uname - Print certain system information. With no OPTION, same as -s.

SYNOPSIS
uname [-a|--all] [-s|--kernel-name] [-n|--nodename] [-r|--kernel-release] [-v|--kernel-version] [-m|--machine] [-o|--operating-system] [-h|--help] [-V|--version]

DESCRIPTION
Print certain system information. With no OPTION, same as -s.

OPTIONS

-a, --all
    Behave as though all of the options -mnrsvo were specified.

-s, --kernel-name
    print the kernel name.

-n, --nodename
    print the nodename (the nodename may be a name that the system is known by to a communications network).

-r, --kernel-release
    print the operating system release.

-v, --kernel-version
    print the operating system version.

-m, --machine
    print the machine hardware name.

-o, --operating-system
    print the operating system name.

-h, --help
    Print help

-V, --version
    Print version

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Print kernel name:

uname

Print all available system information:

uname [-a|--all]

Print system architecture and processor information:

uname [-mp|--machine --processor]

Print kernel name, kernel release, and kernel version:

uname [-srv|--kernel-name --kernel-release --kernel-version]

Print system hostname:

uname [-n|--nodename]

Print the current operating system name:

uname [-o|--operating-system]

Display help:

uname --help

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.